diff --exclude=CVS -Nru certi/libRTI/RTItypes.cc certi.new/libRTI/RTItypes.cc
--- certi/libRTI/RTItypes.cc	2008-11-25 17:32:14.000000000 +0100
+++ certi.new/libRTI/RTItypes.cc	2008-11-26 19:32:27.000000000 +0100
@@ -17,7 +17,7 @@
 // Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 // ----------------------------------------------------------------------------
 
-#include "GAV.hh"
+#include "HandleSets.hh"
 #include "Exception.hh"
 #include "PrettyDebug.hh"
 #include <assert.h>
@@ -271,45 +271,4 @@
     return os<<(*ex);
 }
 
-// ----------------------------------------------------------------------------
-RTI::AttributeHandleValuePairSet *
-RTI::AttributeSetFactory::create(ULong)
-    throw (MemoryExhausted, ValueCountExceeded, HandleValuePairMaximumExceeded)
-{
-    AttributeHandleValuePairSetImp *ahvps ;
-    ahvps = new AttributeHandleValuePairSetImp ;
-    ahvps->_order = RECEIVE ;
-    ahvps->_transport = RELIABLE ;
-    return (AttributeHandleValuePairSet *) ahvps ;
-}
-
-// ----------------------------------------------------------------------------
-RTI::AttributeHandleSet *
-RTI::AttributeHandleSetFactory::create(ULong)
-    throw (MemoryExhausted, ValueCountExceeded)
-{
-    return new AttributeHandleSetImp();
-}
-
-// ----------------------------------------------------------------------------
-RTI::FederateHandleSet *
-RTI::FederateHandleSetFactory::create(ULong)
-    throw (MemoryExhausted, ValueCountExceeded)
-{
-    return ((FederateHandleSet *) new FederateHandleSetImp());
-}
-
-// ----------------------------------------------------------------------------
-RTI::ParameterHandleValuePairSet *
-RTI::ParameterSetFactory::create(ULong size)
-    throw (MemoryExhausted, ValueCountExceeded, HandleValuePairMaximumExceeded)
-{
-    ParameterHandleValuePairSetImp *phvps ;
-    phvps = new ParameterHandleValuePairSetImp(size);
-
-    phvps->_order = RECEIVE ;
-    phvps->_transport = RELIABLE ;
-    return (ParameterHandleValuePairSet *) phvps ;
-}
-
 // $Id: RTItypes.cc,v 1.1 2008/11/25 16:32:14 gotthardp Exp $
diff --exclude=CVS -Nru certi/RTIA/CMakeLists.txt certi.new/RTIA/CMakeLists.txt
--- certi/RTIA/CMakeLists.txt	2008-11-25 17:32:13.000000000 +0100
+++ certi.new/RTIA/CMakeLists.txt	2008-12-05 12:35:08.000000000 +0100
@@ -20,7 +20,7 @@
   )
 
 ADD_EXECUTABLE(rtia ${rtia_SRCS})
-TARGET_LINK_LIBRARIES(rtia CERTI RTI-NG FedTime)
+TARGET_LINK_LIBRARIES(rtia CERTI RTI FedTime)
 
 INSTALL(TARGETS rtia 
     RUNTIME DESTINATION bin
diff --exclude=CVS -Nru certi/RTIA/main.cc certi.new/RTIA/main.cc
--- certi/RTIA/main.cc	2008-11-10 14:19:01.000000000 +0100
+++ certi.new/RTIA/main.cc	2008-12-05 12:10:22.000000000 +0100
@@ -90,7 +90,7 @@
 			        cerr << "RTIA:: RTIA has thrown " << e._name << " exception." << endl;
 			        cerr.flush();
                         }
-			if (e._reason) {
+			if (!e._reason.empty()) {
                                 if (! normal_end) {
 				      cerr << "RTIA:: Reason: " << e._reason << endl;
 				      cerr.flush();
@@ -105,7 +105,7 @@
 	} catch (Exception &e) {
                 if (! normal_end) {
 		      cerr << "RTIA:: RTIA has thrown " << e._name << " exception." << endl;
-		      if (e._reason) {
+		      if (!e._reason.empty()) {
 		 	  cerr << "RTIA:: Reason: " << e._reason << endl;
 		      }
                 }
diff --exclude=CVS -Nru certi/RTIA/OwnershipManagement.cc certi.new/RTIA/OwnershipManagement.cc
--- certi/RTIA/OwnershipManagement.cc	2008-06-12 09:39:50.000000000 +0200
+++ certi.new/RTIA/OwnershipManagement.cc	2008-12-05 12:12:07.000000000 +0100
@@ -319,7 +319,7 @@
 
     if (e == e_NO_EXCEPTION) {
         AttributeHandleSet *AttributeSet ;
-        AttributeSet = RTI::AttributeHandleSetFactory::create(rep->handleArraySize);
+        AttributeSet = new AttributeHandleSet(rep->handleArraySize);
 
         for (int i = 0 ; i < rep->handleArraySize ; i++) {
             AttributeSet->add(rep->handleArray[i]);
diff --exclude=CVS -Nru certi/RTIA/RTIA_federate.cc certi.new/RTIA/RTIA_federate.cc
--- certi/RTIA/RTIA_federate.cc	2008-11-21 13:45:24.000000000 +0100
+++ certi.new/RTIA/RTIA_federate.cc	2008-12-05 12:18:03.000000000 +0100
@@ -1441,7 +1441,7 @@
     }
     catch (RTIinternalError &e) {
         cout << "RTIA sends InternalError to Fed., " ;
-        if (e._reason != NULL)
+        if (!e._reason.empty())
             cout << "reason : " << e._reason << endl ;
         else
             cout << "no reason given." << endl ;
diff --exclude=CVS -Nru certi/RTIG/CMakeLists.txt certi.new/RTIG/CMakeLists.txt
--- certi/RTIG/CMakeLists.txt	2008-11-25 17:32:13.000000000 +0100
+++ certi.new/RTIG/CMakeLists.txt	2008-12-05 12:35:19.000000000 +0100
@@ -13,7 +13,7 @@
   )
 
 ADD_EXECUTABLE(rtig ${rtig_SRCS})
-TARGET_LINK_LIBRARIES(rtig CERTI RTI-NG FedTime)
+TARGET_LINK_LIBRARIES(rtig CERTI RTI FedTime)
 
 INSTALL(TARGETS rtig 
     RUNTIME DESTINATION bin
diff --exclude=CVS -Nru certi/RTIG/Federate.hh certi.new/RTIG/Federate.hh
--- certi/RTIG/Federate.hh	2008-11-21 14:41:52.000000000 +0100
+++ certi.new/RTIG/Federate.hh	2008-11-26 18:05:47.000000000 +0100
@@ -23,6 +23,7 @@
 #define CERTI_RTIG_FEDERATE_HH
 
 #include "certi.hh"
+#include "Exception.hh"
 
 #include <vector>
 #include <string>
diff --exclude=CVS -Nru certi/RTIG/Federation.hh certi.new/RTIG/Federation.hh
--- certi/RTIG/Federation.hh	2008-11-20 19:21:55.000000000 +0100
+++ certi.new/RTIG/Federation.hh	2008-11-26 18:09:02.000000000 +0100
@@ -27,6 +27,7 @@
 #include "Federate.hh"
 #include "RootObject.hh"
 #include "LBTS.hh"
+#include "GAV.hh"
 #include "SecurityServer.hh"
 #include "HandleManager.hh"
 #include "certi.hh"
diff --exclude=CVS -Nru certi/RTIG/RTIG.cc certi.new/RTIG/RTIG.cc
--- certi/RTIG/RTIG.cc	2008-11-20 19:21:56.000000000 +0100
+++ certi.new/RTIG/RTIG.cc	2008-11-26 18:37:19.000000000 +0100
@@ -510,8 +510,8 @@
 				} while (link->isDataReady());
 			}
 		catch (NetworkError &e) {
-			if (e._reason != NULL)
-			D.Out(pdExcept, "Catching Network Error, reason : %s", e._reason);
+			if (!e._reason.empty())
+			D.Out(pdExcept, "Catching Network Error, reason : %s", e._reason.c_str());
 			else
 			D.Out(pdExcept, "Catching Network Error, no reason string.");
 			cout << "RTIG dropping client connection " << link->returnSocket()
@@ -539,7 +539,7 @@
         socketServer.open();
     }
     catch (RTIinternalError &e) {
-        D.Out(pdExcept, "Error while accepting new connection : %s.", e._reason);
+        D.Out(pdExcept, "Error while accepting new connection : %s.", e._reason.c_str());
     }
 
     D.Out(pdInit, "Accepting new connection.");
@@ -579,7 +579,7 @@
     // This macro is used to copy any non null exception reason
     // string into our buffer(used for Audit purpose).
 
-#define CPY_NOT_NULL(A) { if (A._reason != NULL)strcpy(buffer, A._reason); }
+#define CPY_NOT_NULL(A) { if (!A._reason.empty())strcpy(buffer, A._reason.c_str()); }
 
     buffer[0] = 0 ;
 
@@ -912,10 +912,10 @@
         rep->exception = e_RestoreNotRequested ;
     }
     catch (RTIinternalError &e) {
-        if (e._reason == NULL)
+        if (e._reason.empty())
             D.Out(pdExcept, "Catching \"%s\" exception.", e._name);
         else
-            D.Out(pdExcept, "Catching \"%s\" exception: %s.", e._name, e._reason);
+            D.Out(pdExcept, "Catching \"%s\" exception: %s.", e._name, e._reason.c_str());
         CPY_NOT_NULL(e);
         rep->exception = e_RTIinternalError ;
     }
diff --exclude=CVS -Nru certi/test/Billard/CMakeLists.txt certi.new/test/Billard/CMakeLists.txt
--- certi/test/Billard/CMakeLists.txt	2008-11-25 17:32:14.000000000 +0100
+++ certi.new/test/Billard/CMakeLists.txt	2008-12-05 12:36:30.000000000 +0100
@@ -22,7 +22,7 @@
   )
 
 ADD_EXECUTABLE(billard ${billard_SRCS})
-TARGET_LINK_LIBRARIES(billard graph RTI-NG FedTime)
+TARGET_LINK_LIBRARIES(billard graph RTI FedTime)
 
 IF (X11_FOUND)
   TARGET_LINK_LIBRARIES(billard ${X11_LIBRARIES})
diff --exclude=CVS -Nru certi/test/utility/CMakeLists.txt certi.new/test/utility/CMakeLists.txt
--- certi/test/utility/CMakeLists.txt	2008-11-25 17:32:14.000000000 +0100
+++ certi.new/test/utility/CMakeLists.txt	2008-12-05 12:36:49.000000000 +0100
@@ -8,7 +8,7 @@
 
 ADD_EXECUTABLE(CertiUtilTests ${CertiUtil_SRCS})
 
-TARGET_LINK_LIBRARIES(CertiUtilTests CERTI RTI-NG FedTime)
+TARGET_LINK_LIBRARIES(CertiUtilTests CERTI RTI FedTime)
 
 INSTALL(TARGETS CertiUtilTests
     RUNTIME DESTINATION bin
